.field--name-field-text {
  margin-bottom: 1em;

  .read-more-part,
  .read_more_part {
    display: none;

    &:first-child {
      display: block;
    }
  }

  .readmore {
    margin-top: 1em;
  }

  .figure-caption &,
  .figure-caption & p,
  .figure-without-caption &,
  .figure-without-caption & p {
    margin-bottom: 0;
  }
}

.readmore-trigger {
  margin-top: 30px;
  text-align: center;

  .field--name-field-text + [data-readmore-toggle],
  .field--name-field-text[data-readmore] {
    display: inline-block;
    width: auto;
  }
}